<?php 
defined('PUBLIC_ACCESS') or die('Restricted Access');

class modDBTablesController {
  private $model;
    
  public function __construct(modDBTables $model) {
    $this->model = $model;
  }
    
  public function select($request) {
    if (isset($request['tablename'])) {
      $tableName = $request['tablename'];
      $_SESSION['table-name'] = $tableName; 
      $this->model->set($tableName);
    }  
  }
    
  public function save($request) {
    if (isset($request)) {
      $col_data = $request;
      $this->model->set2($col_data);
    }
  }

}

?>